Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_RT_Protocols_Hooks Class Reference

`#include <RT_Protocols_Hooks.h>`

Inheritance diagram for TAO_RT_Protocols_Hooks

[legend]
Collaboration diagram for TAO_RT_Protocols_Hooks:

[legend]
List of all members.

## Public Types
typedef int (* | Client_Protocols_Hook )(TAO_ORB_Core *, int &send_buffer_size, int &recv_buffer_size, int &no_delay, const char *)
| Define the Client_Protocols_TCP_Hook signature.
typedef int (* | Server_Protocols_Hook )(TAO_ORB_Core *, int &, int &, int &, const char *)
| Define the Server_Protocols_Hook signature.
## Public Methods
| TAO_RT_Protocols_Hooks (void)
| constructor.
virtual | ~TAO_RT_Protocols_Hooks (void)
| destructor.
virtual void | init_hooks (TAO_ORB_Core *orb_core, CORBA::Environment &ACE_TRY_ENV)
| Initialize the protocols hooks instance.
virtual int | call_client_protocols_hook ( int &send_buffer_size, int &recv_buffer_size, int &no_delay, const char *protocol_type)
| Invoke the client_protocols hook if present. More...
virtual int | call_server_protocols_hook (int &send_buffer_size, int &recv_buffer_size, int &no_delay, const char *protocol_type)
| Invoke the server_protocols hook if present. More...
virtual void | rt_service_context (TAO_Stub *stub, TAO_Service_Context &service_context, CORBA::Boolean restart, CORBA::Environment &ACE_TRY_ENV)
virtual void | add_rt_service_context_hook (TAO_Service_Context &service_context, CORBA::Policy *model_policy, CORBA::Short &client_priority, CORBA::Environment &ACE_TRY_ENV)
virtual void | get_selector_hook (CORBA::Policy *model_policy, CORBA::Boolean &is_client_propagated, CORBA::Short &server_priority)
virtual void | get_selector_bands_policy_hook ( CORBA::Policy *bands_policy, CORBA::Short &min_priority, CORBA::Short &max_priority, CORBA::Short &p, int &in_range)
virtual int | set_default_policies (CORBA::Environment &ACE_TRY_ENV)
| 1. Sets ORB-level policy defaults for this ORB. Currently sets default RTCORBA policies: ClientProtocolPolicy.
int | set_default_server_protocol_policy (TAO_Acceptor_Registry &acceptor_registry, CORBA::Environment &ACE_TRY_ENV)
virtual int | get_thread_CORBA_priority (CORBA::Short &, CORBA::Environment &)
virtual int | get_thread_native_priority (CORBA::Short &, CORBA::Environment &)
virtual int | get_thread_CORBA_and_native_priority (CORBA::Short &, CORBA::Short &, CORBA::Environment &)
virtual int | set_thread_CORBA_priority (CORBA::Short, CORBA::Environment &)
virtual int | set_thread_native_priority (CORBA::Short, CORBA::Environment &)
## Static Public Methods
void | set_client_protocols_hook (Client_Protocols_Hook hook)
void | set_server_protocols_hook (Server_Protocols_Hook hook)
## Static Public Attributes
Client_Protocols_Hook | client_protocols_hook_ = 0
| The hook to be set for the ClientProtocolPolicy.
Server_Protocols_Hook | server_protocols_hook_ = 0
| The hook to be set for the ServerProtocolPolicy.
## Protected Attributes
TAO_ORB_Core* | orb_core_
TAO_Priority_Mapping_Manager_var | mapping_manager_

## Member Typedef Documentation

typedef int(* TAO_RT_Protocols_Hooks::Client_Protocols_Hook)(TAO_ORB_Core *,int &send_buffer_size,int &recv_buffer_size,int &no_delay,const char *)

| Define the Client_Protocols_TCP_Hook signature.

typedef int(* TAO_RT_Protocols_Hooks::Server_Protocols_Hook)(TAO_ORB_Core *,int &,int &,int &,const char *)

| Define the Server_Protocols_Hook signature.

## Constructor & Destructor Documentation

TAO_RT_Protocols_Hooks::TAO_RT_Protocols_Hooks ( | void )

| constructor.

TAO_RT_Protocols_Hooks::~TAO_RT_Protocols_Hooks ( | void )`[virtual]`

| destructor.

## Member Function Documentation

void TAO_RT_Protocols_Hooks::add_rt_service_context_hook ( | TAO_Service_Context & service_context,
| CORBA::Policy * model_policy,
| CORBA::Short & client_priority,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Protocols_Hooks.

int TAO_RT_Protocols_Hooks::call_client_protocols_hook ( | int & send_buffer_size,
| int & recv_buffer_size,
| int & no_delay,
| const char * protocol_type )`[virtual]`

  | Invoke the client_protocols hook if present. The timeout hook is used to determine if the client_protocols policy is set and with what value. If the ORB is compiled without support for RTCORBA this feature does not take effect Parameters:
  tcp_properties | returns the Protocol List set
Reimplemented from TAO_Protocols_Hooks.

int TAO_RT_Protocols_Hooks::call_server_protocols_hook ( | int & send_buffer_size,
| int & recv_buffer_size,
| int & no_delay,
| const char * protocol_type )`[virtual]`

  | Invoke the server_protocols hook if present. The timeout hook is used to determine if the client_protocols policy is set and with what value. If the ORB is compiled without support for RTCORBA this feature does not take effect Parameters:
  tcp_properties | returns the Protocol List set
Reimplemented from TAO_Protocols_Hooks.

void TAO_RT_Protocols_Hooks::get_selector_bands_policy_hook ( | CORBA::Policy * bands_policy,
| CORBA::Short & min_priority,
| CORBA::Short & max_priority,
| CORBA::Short & p,
| int & in_range )`[virtual]`

| Reimplemented from TAO_Protocols_Hooks.

void TAO_RT_Protocols_Hooks::get_selector_hook ( | CORBA::Policy * model_policy,
| CORBA::Boolean & is_client_propagated,
| CORBA::Short & server_priority )`[virtual]`

| Reimplemented from TAO_Protocols_Hooks.

int TAO_RT_Protocols_Hooks::get_thread_CORBA_and_native_priority ( | CORBA::Short & priority,
| CORBA::Short & native_priority,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Protocols_Hooks.

int TAO_RT_Protocols_Hooks::get_thread_CORBA_priority ( | CORBA::Short & priority,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Accessor and modifier to the current thread priority, used to implement the RTCORBA::Current interface, but it is faster for some critical components. Reimplemented from TAO_Protocols_Hooks.

int TAO_RT_Protocols_Hooks::get_thread_native_priority ( | CORBA::Short & native_priority,
| CORBA::Environment & )`[virtual]`

| Reimplemented from TAO_Protocols_Hooks.

void TAO_RT_Protocols_Hooks::init_hooks ( | TAO_ORB_Core * orb_core,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Initialize the protocols hooks instance. Reimplemented from TAO_Protocols_Hooks.

void TAO_RT_Protocols_Hooks::rt_service_context ( | TAO_Stub * stub,
| TAO_Service_Context & service_context,
| CORBA::Boolean restart,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Protocols_Hooks.

void TAO_RT_Protocols_Hooks::set_client_protocols_hook ( | Client_Protocols_Hook hook )`[static]`

int TAO_RT_Protocols_Hooks::set_default_policies ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| 1. Sets ORB-level policy defaults for this ORB. Currently sets default RTCORBA policies: ClientProtocolPolicy. Reimplemented from TAO_Protocols_Hooks.

int TAO_RT_Protocols_Hooks::set_default_server_protocol_policy ( | TAO_Acceptor_Registry & acceptor_registry,
| CORBA::Environment & ACE_TRY_ENV )

| Reimplemented from TAO_Protocols_Hooks.

void TAO_RT_Protocols_Hooks::set_server_protocols_hook ( | Server_Protocols_Hook hook )`[static]`

int TAO_RT_Protocols_Hooks::set_thread_CORBA_priority ( | CORBA::Short priority,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Protocols_Hooks.

int TAO_RT_Protocols_Hooks::set_thread_native_priority ( | CORBA::Short native_priority,
| CORBA::Environment & )`[virtual]`

| Reimplemented from TAO_Protocols_Hooks.

## Member Data Documentation

Client_Protocols_Hook TAO_RT_Protocols_Hooks::client_protocols_hook_ = 0`[inline, static]`

| The hook to be set for the ClientProtocolPolicy.

TAO_Priority_Mapping_Manager_var TAO_RT_Protocols_Hooks::mapping_manager_`[protected]`

TAO_ORB_Core * TAO_RT_Protocols_Hooks::orb_core_`[protected]`

Server_Protocols_Hook TAO_RT_Protocols_Hooks::server_protocols_hook_ = 0`[static]`

| The hook to be set for the ServerProtocolPolicy.

The documentation for this class was generated from the following files:

- RT_Protocols_Hooks.h
- RT_Protocols_Hooks.cpp